GroovyPageOutputStackAttributes (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageOutputStackAttributes

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageOutputStackAttributes

    public class GroovyPageOutputStackAttributes
    extends java.lang.Object

Nested Class Summary
`static class` | `GroovyPageOutputStackAttributes.Builder`

Method Summary
`Encoder` | `getDefaultTaglibEncoder()`
`Encoder` | `getExpressionEncoder()`
`Encoder` | `getOutEncoder()`
`Encoder` | `getStaticEncoder()`
`Encoder` | `getTaglibEncoder()`
`java.io.Writer` | `getTopWriter()`
`GrailsWebRequest` | `getWebRequest()`
`boolean` | `isAllowCreate()`
`boolean` | `isAutoSync()`
`boolean` | `isInheritPreviousEncoders()`
`boolean` | `isPushTop()`
`boolean` | `isReplaceOnly()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getDefaultTaglibEncoder

    public Encoder getDefaultTaglibEncoder()

### getExpressionEncoder

    public Encoder getExpressionEncoder()

### getOutEncoder

    public Encoder getOutEncoder()

### getStaticEncoder

    public Encoder getStaticEncoder()

### getTaglibEncoder

    public Encoder getTaglibEncoder()

### getTopWriter

    public java.io.Writer getTopWriter()

### getWebRequest

    public GrailsWebRequest getWebRequest()

### isAllowCreate

    public boolean isAllowCreate()

### isAutoSync

    public boolean isAutoSync()

### isInheritPreviousEncoders

    public boolean isInheritPreviousEncoders()

### isPushTop

    public boolean isPushTop()

### isReplaceOnly

    public boolean isReplaceOnly()

Groovy Documentation